We’re with you. JoomShaper is offering a 20% Discount on all plans due to the impact of COVID-19.

Support Online : Mon - Fri / 10am - 6pm (GMT +6)

Your Time: Our Time:

Error when try to update from 3.6.1 -> 3.6.2

Featured Lock Resolved Issue
can't update from 3.6.1 to 3.6.2

Table '#__sppagebuilder_addons' doesn't exist
SQL =
ALTER TABLE `#__sppagebuilder_addons` CHANGE `code` `code` MEDIUMTEXT NOT NULL;

Joomla 3.9.11, PHP 7.1.23

14 Answers

Paul Frankowski - Staff

More than a month ago #Permalink
Hi,
You got this warining message, but SPPB is updated to 3.6.2 or not? please check.

musicnetwork

More than a month ago #Permalink
Hi,
You got this warining message, but SPPB is updated to 3.6.2 or not? please check.


Hi Paul

Yes, has been updated to 3.6.2

Paul Frankowski - Staff

More than a month ago #Permalink
Uff, ok.
So we have to check why this warning is displayed because (`PREFIX_sppagebuilder_addons`) table exists if you are making an update.
---
Hopefully, it doesn't harm your SPPB content, I checked. It's a wrong message only.

webmasterfn

More than a month ago #Permalink
Hi, I see the same error descriped in topic.
In SP Page Builder page I see that It is the PRO 3.6.2 version, but in plugin's update list I still see the SP Page Builder Bro component to be updated and after I try to update I see again this message

JInstaller: :Install: Errore SQL Table 'udwez47c_jhstfny.#__sppagebuilder_addons' doesn't exist
Estensione Aggiorna: richiesta di elaborazione degli errori di SQL: DB function fallita con errore numero 1146
Table 'udwez47c_ZZZZZZ.#__sppagebuilder_addons' doesn't exist
SQL =
ALTER TABLE `#__sppagebuilder_addons` CHANGE `code` `code` MEDIUMTEXT NOT NULL;

Paul Frankowski - Staff

More than a month ago #Permalink
@webmasterfn
I got quick feedback from our developer in 3.6.3 it should be fixed.
Sorry for the scare error message

webmasterfn

More than a month ago #Permalink
Thanks for your support.
Keep on, your SP Page Builder is fantastic.
Best.
Fernando

Martin Finn

More than a month ago #Permalink
I just updated to 3.6.4 - same error message ;(

Paul Frankowski - Staff

More than a month ago #Permalink
yes, I know :(
but files are updated, it's only message.
Next update should fix it.

Martin Finn

More than a month ago #Permalink
Actually no, the __sppagebuilder_addons table had not been created with last 3 updates.
I have just run the SQL statement to create the table and then reran the update... finally it worked.

Paul Frankowski - Staff

More than a month ago #Permalink
I had this problem very rare, only during an update, but this table should be since SPPB 1.x
Anyway, as I know our developer should fix it soon. I want to reduce irritation on users faces.

Paul Scarnegie

More than a month ago #Permalink
I've had this update error as well since 3.6.2 I believe. Today's update from 3.6.3 to 3.6.4 is still showing the "Table 'sppagebuilder_addons' doesn't exist.

SQL = ALTER TABLE "#__sppagebuilder_addons` CHANGE `code` `code` MEDIUMTEXT NOT NULL;

however looking at the PageBuilder interface it does display v3.6.4.

Is this something that I need to be concerned about or no? How do I go about fixing this issue from PHPmyAdmin? Do I need to make an empty table in the DB?

Attachments (2)

  • Screen Shot 2019-11-18 at 2.07.32 PM.png
    Screen Shot 2019-11-18 at 2.07.32 PM.png 34.8 KB
  • Screen Shot 2019-11-18 at 2.07.11 PM.png
    Screen Shot 2019-11-18 at 2.07.11 PM.png 90.1 KB

Paul Frankowski - Staff

More than a month ago #Permalink
Just use, all is OK inside SPPB

Chris

More than a month ago #Permalink
Just had this today updating from 3.6.3 to 3.6.8 Pro...same error :)

Chris

Paul Frankowski - Staff

More than a month ago #Permalink
I guess, sorry, I also wait for this.


There are no replies made for this post yet.
Be one of the first to reply to this post!

126

Templates

334077

Community Users

Newsletter

Don’t miss any updates of our new templates and extensions and all the astonishing offers we bring for you.
We never spam

Joomla! ® name is used under a limited license from Open Source Matters in the United States and other countries. JoomShaper.com is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.

Connect Us